- [HTTP request](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/batchRelease.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/batchRelease.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/batchRelease.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/batchRelease.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/batchRelease.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/batchRelease.md.txt#body.aspect)
- [ReleaseQuarantinedMessageRequest](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/batchRelease.md.txt#ReleaseQuarantinedMessageRequest)
  - [JSON representation](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/batchRelease.md.txt#ReleaseQuarantinedMessageRequest.SCHEMA_REPRESENTATION)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features.

Releases a list of messages asynchronously.

<br />

### HTTP request

`POST https://mailadminquarantine.googleapis.com/v1/{parent=customers/*}/quarantinedMessages:batchRelease`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource, which owns this collection of messages. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`ReleaseQuarantinedMessageRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`ReleaseQuarantinedMessageRequest`)`` Required. The list of requests to release quarantined messages. Each request contains the resource name of the quarantined message to release. The maximum number of requests in a single batch is 500. |

### Response body

If successful, the response body contains an instance of `Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/gmail.admin.quarantine`

For more information, see the [Authorization guide](https://developers.google.com/workspace/gmail/admin-quarantine/guides/authorize.md.txt).

## ReleaseQuarantinedMessageRequest

Request message for \[quarantinedMessages.release\]\[\].

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The resource name of the quarantined message to release. |